package com.kmall.common.utils.pingan.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 实体
 * 表名 pingan_pay_order
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-12-06 15:29:43
 */
public class PinganPayOrderDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private Integer id;
    /**
     * 商户订单编号
     */
    private String outNo;
    /**
     * 收单机构名称
     */
    private String pmtName;
    /**
     * 收单机构标签
     */
    private String pmtTag;
    /**
     * 商户流水号（从1开始自增长不重复）
     */
    private Integer ordMctId;
    /**
     * 门店流水号（从1开始自增长不重复）
     */
    private Integer ordShopId;
    /**
     * 币种
     */
    private String ordCurrency;
    /**
     * 币种符号
     */
    private String currencySign;
    /**
     * 平安订单号
     */
    private String ordNo;
    /**
     * 订单类型（1消费，2辙单）
     */
    private Integer ordType;
    /**
     * 原始金额（以分为单位，没有小数点）
     */
    private Integer originalAmount;
    /**
     * 折扣金额（以分为单位，没有小数点）
     */
    private Integer discountAmount;
    /**
     * 抹零金额（以分为单位，没有小数点）
     */
    private Integer ignoreAmount;
    /**
     * 交易帐号（银行卡号、支付宝帐号、微信帐号等，某些收单机构没有此数据）
     */
    private String tradeAccount;
    /**
     * 收单机构交易号
     */
    private String tradeNo;
    /**
     * 实际交易金额（以分为单位，没有小数点）
     */
    private Integer tradeAmount;
    /**
     * 二维码字符串
     */
    private String tradeQrcode;
    /**
     * 交易金额（分为单位）
     */
    private String amount;
    /**
     * 交易时间
     */
    private Date tradeTime;
    /**
     * 付款完成时间（以收单机构为准）
     */
    private Date tradePayTime;
    /**
     * 交易成功时间（yyyymmddhhiiss）
     */
    private String payTime;
    /**
     * 订单状态（1交易成功，2待支付，4已取消，9等待用户输入密码确认）
     */
    private Integer status;
    /**
     * 收单机构原始交易数据
     */
    private String tradeResult;
    /**
     * 公众号订单支付地址，如果为非公众号订单，此参数为空
     */
    private String jsapiPayUrl;
    /**
     * 随机字符串
     */
    private String randStr;
    /**
     * 小程序的appid
     */
    private String appid;
    /**
     * 小程序返回时间戳
     */
    private String timeStamp;
    /**
     * 随机字符串
     */
    private String noncestr;
    /**
     * 签名方式
     */
    private String signtype;
    /**
     * 统一下单接口返回prepay_id参数值
     */
    private String prepayId;
    /**
     * 签名
     */
    private String paysign;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：商户订单编号
     */
    public void setOutNo(String outNo) {
        this.outNo = outNo;
    }

    /**
     * 获取：商户订单编号
     */
    public String getOutNo() {
        return outNo;
    }
    /**
     * 设置：收单机构名称
     */
    public void setPmtName(String pmtName) {
        this.pmtName = pmtName;
    }

    /**
     * 获取：收单机构名称
     */
    public String getPmtName() {
        return pmtName;
    }
    /**
     * 设置：收单机构标签
     */
    public void setPmtTag(String pmtTag) {
        this.pmtTag = pmtTag;
    }

    /**
     * 获取：收单机构标签
     */
    public String getPmtTag() {
        return pmtTag;
    }
    /**
     * 设置：商户流水号（从1开始自增长不重复）
     */
    public void setOrdMctId(Integer ordMctId) {
        this.ordMctId = ordMctId;
    }

    /**
     * 获取：商户流水号（从1开始自增长不重复）
     */
    public Integer getOrdMctId() {
        return ordMctId;
    }
    /**
     * 设置：门店流水号（从1开始自增长不重复）
     */
    public void setOrdShopId(Integer ordShopId) {
        this.ordShopId = ordShopId;
    }

    /**
     * 获取：门店流水号（从1开始自增长不重复）
     */
    public Integer getOrdShopId() {
        return ordShopId;
    }

    public String getOrdCurrency() {
        return ordCurrency;
    }

    public void setOrdCurrency(String ordCurrency) {
        this.ordCurrency = ordCurrency;
    }

    public String getCurrencySign() {
        return currencySign;
    }

    public void setCurrencySign(String currencySign) {
        this.currencySign = currencySign;
    }

    /**
     * 设置：平安订单号
     */
    public void setOrdNo(String ordNo) {
        this.ordNo = ordNo;
    }

    /**
     * 获取：平安订单号
     */
    public String getOrdNo() {
        return ordNo;
    }
    /**
     * 设置：订单类型（1消费，2辙单）
     */
    public void setOrdType(Integer ordType) {
        this.ordType = ordType;
    }

    /**
     * 获取：订单类型（1消费，2辙单）
     */
    public Integer getOrdType() {
        return ordType;
    }
    /**
     * 设置：原始金额（以分为单位，没有小数点）
     */
    public void setOriginalAmount(Integer originalAmount) {
        this.originalAmount = originalAmount;
    }

    /**
     * 获取：原始金额（以分为单位，没有小数点）
     */
    public Integer getOriginalAmount() {
        return originalAmount;
    }
    /**
     * 设置：折扣金额（以分为单位，没有小数点）
     */
    public void setDiscountAmount(Integer discountAmount) {
        this.discountAmount = discountAmount;
    }

    /**
     * 获取：折扣金额（以分为单位，没有小数点）
     */
    public Integer getDiscountAmount() {
        return discountAmount;
    }
    /**
     * 设置：抹零金额（以分为单位，没有小数点）
     */
    public void setIgnoreAmount(Integer ignoreAmount) {
        this.ignoreAmount = ignoreAmount;
    }

    /**
     * 获取：抹零金额（以分为单位，没有小数点）
     */
    public Integer getIgnoreAmount() {
        return ignoreAmount;
    }
    /**
     * 设置：交易帐号（银行卡号、支付宝帐号、微信帐号等，某些收单机构没有此数据）
     */
    public void setTradeAccount(String tradeAccount) {
        this.tradeAccount = tradeAccount;
    }

    /**
     * 获取：交易帐号（银行卡号、支付宝帐号、微信帐号等，某些收单机构没有此数据）
     */
    public String getTradeAccount() {
        return tradeAccount;
    }
    /**
     * 设置：收单机构交易号
     */
    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    /**
     * 获取：收单机构交易号
     */
    public String getTradeNo() {
        return tradeNo;
    }
    /**
     * 设置：实际交易金额（以分为单位，没有小数点）
     */
    public void setTradeAmount(Integer tradeAmount) {
        this.tradeAmount = tradeAmount;
    }

    /**
     * 获取：实际交易金额（以分为单位，没有小数点）
     */
    public Integer getTradeAmount() {
        return tradeAmount;
    }
    /**
     * 设置：二维码字符串
     */
    public void setTradeQrcode(String tradeQrcode) {
        this.tradeQrcode = tradeQrcode;
    }

    /**
     * 获取：二维码字符串
     */
    public String getTradeQrcode() {
        return tradeQrcode;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public Date getTradeTime() {
        return tradeTime;
    }

    public void setTradeTime(Date tradeTime) {
        this.tradeTime = tradeTime;
    }

    /**
     * 设置：付款完成时间（以收单机构为准）
     */
    public void setTradePayTime(Date tradePayTime) {
        this.tradePayTime = tradePayTime;
    }

    /**
     * 获取：付款完成时间（以收单机构为准）
     */
    public Date getTradePayTime() {
        return tradePayTime;
    }
    /**
     * 设置：交易成功时间（yyyymmddhhiiss）
     */
    public void setPayTime(String payTime) {
        this.payTime = payTime;
    }

    /**
     * 获取：交易成功时间（yyyymmddhhiiss）
     */
    public String getPayTime() {
        return payTime;
    }
    /**
     * 设置：订单状态（1交易成功，2待支付，4已取消，9等待用户输入密码确认）
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 获取：订单状态（1交易成功，2待支付，4已取消，9等待用户输入密码确认）
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 设置：收单机构原始交易数据
     */
    public void setTradeResult(String tradeResult) {
        this.tradeResult = tradeResult;
    }

    /**
     * 获取：收单机构原始交易数据
     */
    public String getTradeResult() {
        return tradeResult;
    }
    /**
     * 设置：公众号订单支付地址，如果为非公众号订单，此参数为空
     */
    public void setJsapiPayUrl(String jsapiPayUrl) {
        this.jsapiPayUrl = jsapiPayUrl;
    }

    /**
     * 获取：公众号订单支付地址，如果为非公众号订单，此参数为空
     */
    public String getJsapiPayUrl() {
        return jsapiPayUrl;
    }
    /**
     * 设置：随机字符串
     */
    public void setRandStr(String randStr) {
        this.randStr = randStr;
    }

    /**
     * 获取：随机字符串
     */
    public String getRandStr() {
        return randStr;
    }
    /**
     * 设置：小程序的appid
     */
    public void setAppid(String appid) {
        this.appid = appid;
    }

    /**
     * 获取：小程序的appid
     */
    public String getAppid() {
        return appid;
    }

    /**
     * 设置：随机字符串
     */
    public void setNoncestr(String noncestr) {
        this.noncestr = noncestr;
    }

    public String getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(String timeStamp) {
        this.timeStamp = timeStamp;
    }

    /**
     * 获取：随机字符串
     */
    public String getNoncestr() {
        return noncestr;
    }
    /**
     * 设置：签名方式
     */
    public void setSigntype(String signtype) {
        this.signtype = signtype;
    }

    /**
     * 获取：签名方式
     */
    public String getSigntype() {
        return signtype;
    }
    /**
     * 设置：统一下单接口返回prepay_id参数值
     */
    public void setPrepayId(String prepayId) {
        this.prepayId = prepayId;
    }

    /**
     * 获取：统一下单接口返回prepay_id参数值
     */
    public String getPrepayId() {
        return prepayId;
    }
    /**
     * 设置：签名
     */
    public void setPaysign(String paysign) {
        this.paysign = paysign;
    }

    /**
     * 获取：签名
     */
    public String getPaysign() {
        return paysign;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
